KDE 4.9 PyKDE API Reference

- KDE's Python API

# KCompletionMatches Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

This structure is returned by KCompletion.allWeightedMatches . It also keeps the weight of the matches, allowing you to modify some matches or merge them with matches from another call to allWeightedMatches(), and sort the matches after that in order to have the matches ordered correctly

Example (a simplified example of what Konqueror's completion does):

     KCompletionMatches matches = completion->allWeightedMatches( location );
     if( !location.startsWith( "www." ))
    matches += completion->allWeightedmatches( "www." + location" );
     matches.removeDuplicates();
     QStringList list = matches.list();

List for keeping matches returned from KCompletion